View Issue Details

IDProjectCategoryView StatusLast Update
0000604bareos-core[All Projects] storage daemonpublic2016-07-08 14:34
ReporterdanielAssigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS Version8
Product Version15.2.2 
Target VersionFixed in Version 
Summary0000604: Cancel a NDMP Job causes the sd to crash and restart
DescriptionIf you do a "cancel jobid=<yourjobid>" and the job you try to cancel is a ndmp job. The cancel cause a silent crash and restart of the SD which leads into "fatal error's" for parallel running jobs.

The cancel process takes half an hour.
Steps To Reproducecancel a ndmp job while other jobs are running parallel.
Additional InformationAlready devliverd to the developers.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impact
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone

Relationships

child of 0000625 closedmaik Release bareos-15.2.3 
child of 0000584 closedjoergs Release bareos-14.2.7 

Activities

mvwieringen

mvwieringen

2016-01-22 16:49

developer   ~0002154

Fix committed to bareos master branch with changesetid 6094.
joergs

joergs

2016-07-08 14:34

administrator   ~0002315

Fix committed to bareos bareos-14.2 branch with changesetid 6432.

Related Changesets

bareos: master 6b700194

2016-01-21 15:03:46

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
ndmp: Add safechecks to bndmp_write_data_to_block

When ndmp jobs are canceled, jcr->dcr is null.
We now check for that condition and do not dereference then.

Fixes 0000604: Cancel a NDMP Job causes the sd to crash
Affected Issues
0000604
mod - src/stored/ndmp_tape.c Diff File

bareos: bareos-14.2 59348b62

2016-01-21 15:03:46

pstorz


Committer: joergs

Ported: N/A

Details Diff
ndmp: Add safechecks to bndmp_write_data_to_block

When ndmp jobs are canceled, jcr->dcr is null.
We now check for that condition and do not dereference then.

Fixes 0000604: Cancel a NDMP Job causes the sd to crash
Affected Issues
0000604
mod - src/stored/ndmp_tape.c Diff File

Issue History

Date Modified Username Field Change
2016-01-20 09:54 daniel New Issue
2016-01-20 10:28 daniel Summary Cancel a NDMP causes the sd to crash and restart => Cancel a NDMP Job causes the sd to crash and restart
2016-01-22 10:06 mvwieringen Status new => confirmed
2016-01-22 16:49 mvwieringen Changeset attached => bareos master 6b700194
2016-01-22 16:49 mvwieringen Note Added: 0002154
2016-01-22 16:49 mvwieringen Status confirmed => resolved
2016-01-22 16:49 mvwieringen Resolution open => fixed
2016-03-11 14:31 maik Relationship added child of 0000625
2016-07-05 12:32 joergs bareos-master: impact => yes
2016-07-05 12:32 joergs bareos-master: action => fixed
2016-07-05 12:32 joergs bareos-15.2: impact => yes
2016-07-05 12:32 joergs bareos-15.2: action => fixed
2016-07-05 12:32 joergs bareos-14.2: impact => yes
2016-07-05 12:32 joergs bareos-14.2: action => fixed
2016-07-05 12:32 joergs bareos-13.2: action => none
2016-07-05 12:32 joergs bareos-12.4: action => none
2016-07-05 12:32 joergs Relationship added child of 0000584
2016-07-08 14:34 joergs Changeset attached => bareos bareos-14.2 59348b62
2016-07-08 14:34 joergs Note Added: 0002315